<?php
date_default_timezone_set("America/Los_Angeles");

$fb_page_id = isset($_GET['fb_page_id']) ? $_GET['fb_page_id'] : "358841414204553";
$page_title = "LEVEL 1 - Display Facebook VIDEOS on Website";
?>
<!DOCTYPE html>
<html lang="en">
<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title><?php echo $page_title; ?></title>

    <link rel="stylesheet" href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css">

	<style>
	.item_box{
		overflow:hidden;
	}

	.profile-info{
		overflow:hidden;
	}

	.profile-photo{
		float:left;
		margin:0 .5em 0 0;
	}

	.profile-photo img{
		width:40px; height:40px;
	}

	.profile-name{
		float:left;
		width:85%;
	}

	.time-ago{
		color:#999;
	}

	.profile-message{
		margin:1em 0;
	}

	.post-link{
		text-decoration:none;
	}

	.post-content{
		background: #f6f7f9; border: 1px solid #d3dae8; overflow:hidden;
	}

	.post-content img{
		width:100%;
	}

	.post-status{
		margin:.5em; font-weight:bold;
	}

	.post-picture{
		width:25%; float:left;
	}

	.post-info{
		width:70%; float:left; margin:.5em;
	}

	.post-info-name{
		font-weight:bold;
	}

	.post-info-description{
		color:#999;
	}

	.like-icon {
		background-image: url('https://fbstatic-a.akamaihd.net/rsrc.php/v2/yu/r/0YmG6yMM_th.png');
		background-repeat: no-repeat;
		background-size: auto;
		background-position: 0 -109px;
		height: 13px;
		width: 15px;
		display:block;
		float:left;
		margin: 2px 5px 0 0;
	}

	.comment-icon {
		background-image: url('https://fbstatic-a.akamaihd.net/rsrc.php/v2/yu/r/0YmG6yMM_th.png');
		background-repeat: no-repeat;
		background-size: auto;
		background-position: 0 -59px;
		height: 13px;
		width: 15px;
		display:block;
		float:left;
		margin: 3px 5px 0 0;

	}

	video {
		width: 100%    !important;
		height: auto   !important;
	}

	#last_item_loader{
		text-align:center; margin:0 0 1em 0; font-weight:bold;
	}
	</style>

</head>
<body>

<div class="container">
	

	<?php
	echo "<div class='row'>";
		echo "<div class='col-md-12'>";
			echo "<h1 class='page-header'>{$page_title}</h1>";
		echo "</div>";
	echo "</div>";
	
	$profile_photo_src = "https://graph.facebook.com/{$fb_page_id}/picture?type=square";
	$access_token = "128623690525794|LbfgDAXN_KioIspqkMegG1-ysHA";
	$fields = "id,title,description,created_time,from,source";
	$limit = 5;

	$json_link = "https://graph.facebook.com/v2.6/{$fb_page_id}/videos?access_token={$access_token}&fields={$fields}&limit={$limit}";

	$json = file_get_contents($json_link);

	$obj = json_decode($json, true);
	$feed_item_count = count($obj['data']);

	for($x=0; $x<$feed_item_count; $x++){
		echo "<div class='row'>";
			// video source
			$source = $obj['data'][$x]['source'];

			echo "<div class='col-md-6'>";
				echo "<video controls class='embed-responsive-item'>";
                    echo "<source src={$source} type=video/mp4>";
                echo "</video>";
			echo "</div>";
			

			echo "<div class='col-md-6'>";

				// user's custom message
				$title = isset($obj['data'][$x]['title'])
							? htmlspecialchars_decode($obj['data'][$x]['title']) 
							: "Video #" . $obj['data'][$x]['id'];
				
				$description = isset($obj['data'][$x]['description']) ? $obj['data'][$x]['description'] : "";
				$description = htmlspecialchars_decode(str_replace("\n", "<br>", $description));

				// when it was posted
				$created_time = $obj['data'][$x]['created_time'];
				$converted_date_time = date( 'Y-m-d H:i:s', strtotime($created_time));
				$ago_value = time_elapsed_string($converted_date_time);

				// from
				$page_id = $obj['data'][$x]['from']['id'];
				$page_name = $obj['data'][$x]['from']['name'];

				echo "<h2 style='margin: 0 0 .5em 0;'>{$title}</h2>";

				echo "<div>";
					echo $description;
				echo "</div>";

				echo "<div style='margin:.5em 0 0 0; color: #999;'>";
					echo "Posted {$ago_value} by <a href='https://facebook.com/{$page_id}' target='_blank'>{$page_name}</a>";
				echo "</div>";

			echo "</div>";
			
			echo "<div class='col-md-12'>";
				echo "<hr style='margin:2em 0; border:thin solid #f1f1f1;' />";
			echo "</div>";
		echo "</div>";
	}

	?>

</div> <!-- /container -->

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
<script src="//netdna.bootstrapcdn.com/bootstrap/3.1.1/js/bootstrap.min.js"></script>

<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
<script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->

</body>
</html>

<?php 
// to get 'time ago' text
function time_elapsed_string($datetime, $full = false) {

	$now = new DateTime;
	$ago = new DateTime($datetime);
	$diff = $now->diff($ago);

	$diff->w = floor($diff->d / 7);
	$diff->d -= $diff->w * 7;

	$string = array(
		'y' => 'year',
		'm' => 'month',
		'w' => 'week',
		'd' => 'day',
		'h' => 'hour',
		'i' => 'minute',
		's' => 'second',
	);
	foreach ($string as $k => &$v) {
		if ($diff->$k) {
			$v = $diff->$k . ' ' . $v . ($diff->$k > 1 ? 's' : '');
		} else {
			unset($string[$k]);
		}
	}

	if (!$full) $string = array_slice($string, 0, 1);
	return $string ? implode(', ', $string) . ' ago' : 'just now';
}
?>
